QUnit.module('Mark module As Unseen', config);

test('markAsUnseen method should exist', function(assert){

    ok(typeof AMD.markAsUnseen === 'function', 'markAsUnseen exists');

});

test('should unseen the module', function(assert){

    var counter = 0;

    AMD.define('adunare', ['exports'], function(exports){

        counter++;

        var adunare = function adunare(x, y) {return x + y;};

        exports["default"] = adunare;

    });

    equal(counter, 0);
    AMD.require('adunare');
    equal(counter, 1);

    AMD.require('adunare');
    equal(counter, 1);
    
        AMD.markAsUnseen('adunare');
        equal(counter, 1);
    
    AMD.require('adunare');
    equal(counter, 2);
    
    AMD.require('adunare');
    equal(counter, 2);

});